Bug 1303730 - [Docs] [Director] Bullet Point About External Network Connections Not Right For Compute Nodes.
[Docs] [Director] Bullet Point About External Network Connections Not Right F...
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity low
: ga
: 9.0 (Mitaka)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2016-02-01 14:18 EST by Bernie Hoefer
Modified: 2016-08-16 12:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-16 12:50:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernie Hoefer 2016-02-01 14:18:07 EST
Description of problem:
Chapter 6.2 of the _Director Installation and Usage_ guide ("Scenario 2: Using the CLI to Create a Basic Overcloud") contains this bullet point:  "One network connection for our External network. All nodes must connect to this network."  Thus, users conclude even compute nodes need a connection to the external network.

A peer in SBR-Stack confirmed that the compute node does not need connected to the external network.  In fact, he said that according to Principal OpenStack Software Engineer Dan Sneddon, having an external network interface on the compute node is *not even supported.*

Since the "All nodes" wording of that bullet point can lead customers to a configuration that is not supported, it is requested the wording be changed.  (Perhaps to "All non-compute nodes", or something like that.)

Comment 2 Andrew Dahms 2016-02-07 22:03:20 EST
Assigning to Dan for review.
Comment 3 Dan Macpherson 2016-02-08 21:21:32 EST
I think this was a miscommunication on my behalf. I'll check with Dan on the proper way to word this.
Comment 4 Dan Macpherson 2016-08-04 23:53:30 EDT
Hi Bernie,

I think has been resolved:


The line now says:

"One network connection for our External network. All Controller nodes must connect to this network. For this example, we use for the External network."

How does this sound to you?
Comment 5 Bernie Hoefer 2016-08-09 19:45:49 EDT
Sorry for the delay.  I took a look and yes, that looks good!  Thank you, Dan!
Comment 6 Bernie Hoefer 2016-08-09 20:06:04 EDT
One more thought:  section 6.1 deals with a simple, 3 server deployment.  (A director, a controller and a compute node.)  The requirements listed refer back to Section 2.4.1 & 2.4.2.  Those sections state:

+ the compute node needs at least 1x 1Gbps NIC
+ the controller node needs at least 2x 1Gbps NICs

Since a picture is worth a thousand words.  What about replacing Table 6.2 with a network diagram showing:

+ the director connected to the Provisioning network;
+ one of the controller's NICs connected to the Provisioning network
  and the other NIC connected to the External network;
+ the compute node connected to the Provisioning network; and
+ the labels listed in Table 6.2, including the External network's
  "" (which is not in Table 6.2).

If this sound doable and desired, I'll open another BZ for it.
Comment 7 Dan Macpherson 2016-08-16 03:14:45 EDT
Hi Bernie,

We've got a diagram like that that's used as an example in the planning section:


It's a more complex version with full network isolation, but it pretty much provides the same level of detail.

The table however is serving a different purpose: it's more to act as a reference for the IPs. I've seen some system admins use this tables to document their own environments and IP listings (Red Hat's own Chris Long was my test user case and he did this when he was setting up his environment, so I kind of included a similar methodology).
Comment 8 Bernie Hoefer 2016-08-16 10:00:41 EDT
(In reply to Dan Macpherson from comment #7)
> We've got a diagram like that that's used as an example in the planning
> section:
> https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/
> paged/director-installation-and-usage/32-planning-networks

Ah, OK.  Thanks!  Having not gone through the whole document, I missed that network diagram.  It should be good, then.
Comment 9 Dan Macpherson 2016-08-16 12:50:12 EDT
No worries. If there's nothing else required, I'll close this BZ.

Thanks for your input on the docs!

Note You need to log in before you can comment on or make changes to this bug.